package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetAppCpPo;
import com.ruoyi.tc.mapper.AssetAppCpMapper;
import com.ruoyi.tc.service.AssetAppCpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 资产移动应用程序表(asset_app_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetAppCpService")
public class AssetAppCpServiceImpl extends ServiceImpl<AssetAppCpMapper, AssetAppCpPo> implements AssetAppCpService {


    @Resource
    private AssetAppCpMapper assetAppCpMapper;

    @Override
    public void deletByAssetIdandTaskId(Long assetId, int taskId) {

        assetAppCpMapper.deletByAssetIdandTaskId(assetId, taskId);

    }

    @Override
    public List<AssetAppCpPo> findByTaskId(int taskId) {
        return assetAppCpMapper.findByTaskId(taskId);
    }

    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy) {
        baseMapper.updateByAssetId(assetId,taskId,btgyy);
    }
}
